options.defaultValue("show_big") = true;
options.defaultValue("onrefresh") = false;
var aws_key = '1W3S43W23AXKH1W5M4R2';
var xHtmlRequest;
var player;
var current_media = null;

function view_onopen() {
	loadPlayer();
	mp_MediaChanged();
}

function loadPlayer() {
  try {
    player = mPlayer.object;
    player.uiMode = "none";
  } catch(e) {
    alert("This gadget requires Windows Media Player 9+ to operate fully");
  }
}

function mp_MediaChanged() {
var media = player.currentMedia;
if(!media) return;
txtArtistBottom.innerText = media.getItemInfo( "Author" );
txtArtistTop.innerText = media.getItemInfo( "Author" );
txtTitleBottom.innerText = media.getItemInfo( "Title" );
txtTitleTop.innerText = media.getItemInfo( "Title" );
txtAlbumBottom.innerText = media.getItemInfo( "WM/AlbumTitle" ); 
txtAlbumTop.innerText = media.getItemInfo( "WM/AlbumTitle" ); 
albumart.search(CleanString(media.getItemInfo( "Author" )), CleanString(media.getItemInfo( "WM/AlbumTitle" )))
//alert(media.getItemInfo( "Title" ));
}
function CleanString(str) {
  var r = str;
  
  try {
    r = r.toLowerCase();
    r = r.replace(/[,\.\"_\-?!@#$%^*]/g, " ");
    r = r.replace(/\sand\s/g, " & ");
    r = r.replace(/\s*\s/g, " ");
    r = r.replace(/(^\s*)|(\s*$)/g, "");
  } catch(e) {
    return "";
  }
  return r;
}
var albumart = {
	search : function(artist, album) {
		this.setDefault();
		var url = 'http://webservices.amazon.com/onca/xml?Service=AWSECommerceService&Version=2005-03-23&Operation=ItemSearch&SubscriptionId='+aws_key+'&SearchIndex=Music&Artist='+artist+((album!='')?'&Title='+album:'')+'&ResponseGroup=Images';
		try {
			xHtmlRequest = new XMLHttpRequest();
			xHtmlRequest.onreadystatechange = this.loadArt;
			xHtmlRequest.open("GET", url, true);
			xHtmlRequest.send(null);
	    } catch(err) {
			alert("no access");
			this.setDefault();
		}
	},
	loadArt : function(){
		var document, node;
		var self = this;
	    if (xHtmlRequest.readyState == 4) {
			try {
				document = new DOMDocument();
		        document.loadXML(xHtmlRequest.responseText);
		        node = document.getElementsByTagName("MediumImage");
		        document.loadXML(node[0].xml);
		        node = document.getElementsByTagName("URL");
				albumart.fetchArt(node[0].text);
			} catch(err) {
				//alert("no album art");
				albumart.setBlank();
			}
		} else {
			return;
		}
	},
	fetchArt : function(url) {
		try {
			xHtmlRequest = new XMLHttpRequest();
			xHtmlRequest.open("GET", url, false);
			xHtmlRequest.onreadystatechange = albumart.getArtImg;
			xHtmlRequest.send(null);
	    } catch(err) {
			albumart.setBlank();
			return;
	    }
		
	},
	getArtImg : function() {
		if (xHtmlRequest.readyState == 4) {
	        try {
	            artImg.src = xHtmlRequest.responseStream;
	        } catch(e) {
	          albumart.setBlank();
			}
		}
	},
	setDefault : function() {
		artImg.src = "default.png";
	},
	setBlank : function() {
		artImg.src = "blank.png";
	}
};
